"""Fracciones Anteriores Schemas"""

from typing import Optional
from pydantic import BaseModel, Field


class FraccionesAnterioresResponse(BaseModel):
    """Fracciones arancelarias anteriores (histórico)"""

    FRACCIONACTUAL: Optional[str] = Field(None, max_length=10)
    FRACCIONANTERIOR: Optional[str] = Field(None, max_length=10)
    SYSID: int

    class Config:
        from_attributes = True
